Loading...
Searching...
No Matches
_MagickInfo Struct Reference

## Data Fields

char * | name
char * | description
char * | version
char * | mime_type
char * | note
char * | magick_module
DecodeImageHandler * | decoder
EncodeImageHandler * | encoder
ImageInfo * | image_info
IsImageFormatHandler * | magick
MagickFormatType | format_type
MagickStatusType | flags
SemaphoreInfo * | semaphore
size_t | signature
void * | client_data

## Detailed Description

Definition at line 66 of file magick.h.

## Field Documentation

## client_data

void* _MagickInfo::client_data

Definition at line 101 of file magick.h.

## decoder

DecodeImageHandler* _MagickInfo::decoder

Definition at line 77 of file magick.h.

## description

char * _MagickInfo::description

Definition at line 70 of file magick.h.

## encoder

EncodeImageHandler* _MagickInfo::encoder

Definition at line 80 of file magick.h.

## flags

MagickStatusType _MagickInfo::flags

Definition at line 92 of file magick.h.

## format_type

MagickFormatType _MagickInfo::format_type

Definition at line 89 of file magick.h.

## image_info

ImageInfo* _MagickInfo::image_info

Definition at line 83 of file magick.h.

## magick

IsImageFormatHandler* _MagickInfo::magick

Definition at line 86 of file magick.h.

## magick_module

char * _MagickInfo::magick_module

Definition at line 74 of file magick.h.

## mime_type

char * _MagickInfo::mime_type

Definition at line 72 of file magick.h.

## name

char* _MagickInfo::name

Definition at line 69 of file magick.h.

## note

char * _MagickInfo::note

Definition at line 73 of file magick.h.

## semaphore

SemaphoreInfo* _MagickInfo::semaphore

Definition at line 95 of file magick.h.

## signature

size_t _MagickInfo::signature

Definition at line 98 of file magick.h.

## version

char * _MagickInfo::version

Definition at line 71 of file magick.h.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/magick.h